#ifndef __ERROR_CODES_H
#define __ERROR_CODES_H

// *************************************************************************
//                    error codes (all sources)
// *************************************************************************

#define No_Error							0x0
#define	OpenDevice_failed					0x1
#define CloseDevice_failed					0x2
#define BarMap_failed						0x3
#define BarUnmap_failed						0x4
#define NO_Device_found						0x5
#define InterrupThread_already_running		0x6
#define PhsyicalMemMap_failed				0x7
#define RegisterForInterrupt_failed			0x8
#define CancelRegisterForInterrupt_failed	0x9
#define UserBuffer_full						0xA
#define invalid_space						0xB
#define PhsyicalMemAlloc_failed				0xC
#define PhsyicalMemFree_failed				0xD
#define PhsyicalMemUnMap_failed				0xE
#define DmaChannelOpen_failed				0xF
#define DmaTransfer_failed					0x10
#define DmaBlockChannelClose_failed			0x11


#define K_NO_ERROR                               0x00000000

// error WDM driver
#define K_UNKNOWN_IOCTRL                         0xE0000001
#define K_NOTSUPPORTED_DEVICE                    0xE0000002
#define K_XILINX_DOWNLOADERROR                   0xE0000003
#define K__API_XILINX_WRITE_DATA_HEADER          0xE0000004
#define K__API_USER_MEMORY_UNDERSIZED            0xE0000005

#define K_UNDEFINED_ERROR                        0xE00000F0

// error API library
#define K__API_INVALID_HANDLE						0xE0000100
#define K__API_INVALID_DEVICE						0xE0000101
#define K__API_INVALID_NODE							0xE0000102 

#define K__API_DEVICE_NOT_PRESENT					0xE0000105
#define K__API_UNEQUAL_LENGTH_WRITE_INSTRUCTION		0xE0000106
#define K__API_FIFO_WRITE_FULL						0xE0000107
#define K__API_FIFO_WRITE_NOT_ENOUGH_MEMORY			0xE0000108
#define K__API_FIFO_READ_NO_PACKET_START			0xE0000109
#define K__API_FIFO_READ_NO_PACKET_END				0xE000010A
#define K__API_FIFO_MONITOR_NO_PACKET_START			0xE000010B
#define K__API_FIFO_MONITOR_NO_PACKET_END			0xE000010C
#define K__API_DL_BUFFER_ERROR						0xE000010D
#define K__API_DL_INVALID_FILE						0xE000010E
#define K__API_DL_LSB_ADRD							0xE000010F
#define K__API_DL_LSB_IICTIMEOUT_WR					0xE0000110
#define K__API_DL_LSB_IICTIMEOUT_RD					0xE0000111
#define K__API_DL_LSB_CMD							0xE0000112
#define K__API_DL_LSB_ADRJ							0xE0000113
#define K__API_DL_LSB_DATA_COMPARE					0xE0000114

#define K__API_EEPROM_NOT_PRESENT					0xE0000200

#define K__API_WRITE_AREA_NOT_ENOUGH_MEMORY			0xE0000300
#define K__API_INVALID_PARAMETER					0xE0000301
#define K__API_NOTIFICATION_WAIT_TIMEOUT			0xE0000302
#define K__API_NOTIFICATION_WAIT_CANCELED			0xE0000303
#define K__API_INSUFFICIENT_RECOURCES				0xE0000304

//#define PLX_RETURN_CODE_STARTS				0xE0000900		// goepel return start code for PLX error codes



#endif

